import { createHashHistory } from 'history'
const history = createHashHistory()
export default history

// 判断是手机端还是pc端
export const isMobileFu = () => {
  if (
    window.navigator.userAgent.match(
      /(phone|pad|pod|iPhone|iPod|ios|iPad|Android|Mobile|BlackBerry|IEMobile|MQQBrowser|JUC|Fennec|wOSBrowser|BrowserNG|WebOS|Symbian|Windows Phone)/i
    )
  ) {
    return true
  } else return false
}

export type A1listType = {
  id: number
  name: string
  partOf: string
  link: string
  code: string
  oldNum: number
  newNum: number
  changeSta: boolean
  loc: 1
  isSW?: boolean
  type?: 'x1' | 'x2'
}
